'use strict';
// 路由配置
const routerRegister = require('../public/routerRegister');
const rkey = 'utils';
const ckey = 'utils';
const keyZh = '工具';
const routes = [
  { method: 'post', path: `${rkey}`, controller: `${ckey}.index`, name: `${ckey}Index`, zh: '工具测试' },
  { method: 'get', path: `${rkey}/readModel/:model`, controller: `${ckey}.readModel`, name: `${ckey}ReadModel`, zh: 'model查询' },
  { method: 'get', path: `${rkey}/readFields/:model`, controller: `${ckey}.readFields`, name: `${ckey}ReadFields`, zh: 'fields查询' },
  { method: 'post', path: `${rkey}/getPageMeta`, controller: `${ckey}.getPageMeta`, name: `${ckey}GetPageMeta`, zh: '查询页面元信息' },
];

module.exports = app => {
  routerRegister(app, routes, keyZh, rkey, ckey);
};
