'use strict';
// 路由配置
const path = require('path');
const regPath = path.resolve('app', 'public', 'routerRegister');
const routerRegister = require(regPath);
const rkey = 'studentView';
const ckey = 'view.student';
const keyZh = '学生视图';
const routes = [{ method: 'get', path: `${rkey}/lessonList`, controller: `${ckey}.lessonList`, name: `${ckey}LessonList`, zh: `${keyZh}-课程列表` }];

module.exports = app => {
  routerRegister(app, routes, keyZh, rkey, ckey);
};
